From 2287b4f8c95fb652f077c4ae4c5efedc62d199a1 Mon Sep 17 00:00:00 2001
From: Nitheesh Sekar <nsekar@codeaurora.org>
Date: Mon, 17 Sep 2018 23:05:51 +0530
Subject: [PATCH 14/25] TEMP: NOT FOR REVIEW: qcs405: Combine BB with QC-Sec
 for ROM boot

TEST=build & run

Change-Id: I2428fd067c0216d9cf6a63e218d1792788317db0
Signed-off-by: Sricharan R <sricharan@codeaurora.org>
Signed-off-by: Nitheesh Sekar <nsekar@codeaurora.org>
---
 src/soc/qualcomm/qcs405/Makefile.inc | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/src/soc/qualcomm/qcs405/Makefile.inc b/src/soc/qualcomm/qcs405/Makefile.inc
index dad48d848dd9..1af7c0377616 100644
--- a/src/soc/qualcomm/qcs405/Makefile.inc
+++ b/src/soc/qualcomm/qcs405/Makefile.inc
@@ -43,6 +43,8 @@ ramstage-y += rpm_load_reset.c
 
 CPPFLAGS_common += -Isrc/soc/qualcomm/qcs405/include
 
+QCS405_BLOB := $(top)/3rdparty/blobs/soc/qualcomm/qcs405
+
 $(objcbfs)/bootblock.bin: $(objcbfs)/bootblock.raw.bin
 	@printf "Generating: $(subst $(obj)/,,$(@))\n"
 	cp $(objcbfs)/bootblock.raw.bin $(objcbfs)/bootblock.bin
@@ -80,4 +82,27 @@ ifneq (,$(findstring $(RPM_FILE),$(rpm_file)))
 	cbfs-files-y += $(RPM_CBFS)
 endif
 
+################################################################################
+QC_SEC_FILE := $(QCS405_BLOB)/qc_sec.mbn
+qc_sec_file := $(shell ls $(QC_SEC_FILE))
+ifneq (,$(findstring $(QC_SEC_FILE),$(qc_sec_file)))
+$(objcbfs)/bootblock.bin: $(objcbfs)/bootblock.elf
+	python util/qualcomm/createxbl.py -f $(objcbfs)/bootblock.elf \
+		-x $(QC_SEC_FILE) -o $(objcbfs)/merged_bb_qcsec.mbn \
+		-a 64 -d 32 -c 32
+ifeq ($(CONFIG_QC_FLASH_SIMULATE_SDCARD),y)
+	@printf "\nqgpt.py 512 sector size\n"
+	python util/qualcomm/qgpt.py -s 512 $(objcbfs)/merged_bb_qcsec.mbn \
+		$(objcbfs)/bootblock.bin
+else
+	@printf "\nqgpt.py 4K sector size\n"
+	python util/qualcomm/qgpt.py $(objcbfs)/merged_bb_qcsec.mbn \
+		$(objcbfs)/bootblock.bin
+endif
+
+else
+$(objcbfs)/bootblock.bin: $(objcbfs)/bootblock.raw.bin
+	@printf "Generating: $(subst $(obj)/,,$(@))\n"
+	cp $(objcbfs)/bootblock.raw.bin $(objcbfs)/bootblock.bin
+endif
 endif
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

